Opt {VGAM} | R Documentation

## Optimums

### Description

Generic function for the optimums (or optima) of a model.

### Usage

    Opt(object, ...)

### Arguments

`object` | An object for which the computation or extraction of an optimum (or optimums) is meaningful.
`...` | Other arguments fed into the specific methods function of the model. Sometimes they are fed into the methods function for `Coef`.

### Details

Different models can define an optimum in different ways. Many models have no such notion or definition.

Optimums occur in quadratic and additive ordination, e.g., CQO or CAO. For these models the optimum is the value of the latent variable where the maximum occurs, i.e., where the fitted value achieves its highest value. For quadratic ordination models there is a formula for the optimum but for additive ordination models the optimum must be searched for numerically. If it occurs on the boundary, then the optimum is undefined. At an optimum, the fitted value of the response is called the maximum.

### Value

The value returned depends specifically on the methods function invoked.

### Note

In ordination, the optimum of a species is sometimes called the species score.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. (2004) A new technique for maximum-likelihood canonical Gaussian ordination. Ecological Monographs, 74, 685–701.

Yee, T. W. (2006) Constrained additive ordination. Ecology, 87, 203–213.

### See Also

`Opt.qrrvglm`, `Max`, `Tol`.

### Examples

    set.seed(111)  # This leads to the global solution
    hspider[,1:6] <- scale(hspider[,1:6])  # Standardized environmental vars
    # vvv p1 = cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
    # vvv                Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
    # vvv                Trocterr, Zoraspin) ~
    # vvv          WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
    # vvv          Bestof = 2,
    # vvv          fam = quasipoissonff, data = hspider, Crow1positive=FALSE)
    # vvv Opt(p1)

    ## Not run:
    index <- 1:ncol(depvar(p1))
    persp(p1, col = index, las = 1, lwd = 2, main = "Vertical lines at the optimums")
    abline(v = Opt(p1), lty = 2, col = index)

    ## End(Not run)

[Package VGAM version 1.0-4 Index]